LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Server (http://www.linuxquestions.org/questions/linux-server-73/)
-   -   Compile apache 2.4.1 with kerberos 5.4 crashes (http://www.linuxquestions.org/questions/linux-server-73/compile-apache-2-4-1-with-kerberos-5-4-crashes-938654/)

Felipe 04-07-2012 01:55 PM

Compile apache 2.4.1 with kerberos 5.4 crashes
 
Hello:

I've compiled mod_auth_kerb with Apache 2.2.22 and it has gone fine.

Now I try to compile against Apache 2.4.1 and if fails with make:

Can any tell me how to compile mod_auth_kerb with Apache 2.4.1?

Thanks

This is what I've done on Centos 5.5 32bits:

Quote:

./configure --with-krb4=no --with-krb5=/usr/kerberos --with-apache=/opt/apache24
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether make sets $(MAKE)... yes
checking for main in -lresolv... yes
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking netdb.h usability... yes
checking netdb.h presence... yes
checking for netdb.h... yes
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for unistd.h... (cached) yes
checking for size_t... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking gssapi.h usability... yes
checking gssapi.h presence... yes
checking for gssapi.h... yes
checking for krb5_init_context in -lkrb5... yes
checking for krb5_cc_new_unique in -lkrb5... yes
checking whether we are using Heimdal... no
checking whether the GSSAPI libraries support SPNEGO... yes
checking for apxs... /opt/apache24/bin/apxs
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h



[root@... mod_auth_kerb-5.4]# make
./apxs.sh "-I. -Ispnegokrb5 -I/usr/kerberos/include " "-lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lresolv" "" "/opt/apache24/bin/apxs" "-c" "src/mod_auth_kerb.c"
/opt/apache24/build/libtool --silent --mode=compile gcc -std=gnu99 -prefer-pic -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -g -O2 -pthread -I/opt/apache24/include -I/opt/apache24/include -I/opt/apache24/include -I. -Ispnegokrb5 -I/usr/kerberos/include -c -o src/mod_auth_kerb.lo src/mod_auth_kerb.c && touch src/mod_auth_kerb.slo
src/mod_auth_kerb.c: In function 'log_rerror':
src/mod_auth_kerb.c:363: error: request for member 'log' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'log' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'connection' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'connection' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'server' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'log' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'log' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'connection' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'connection' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'server' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'log' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'log' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'connection' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'connection' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'server' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'log' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'log' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'connection' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'connection' in something not a structure or union
src/mod_auth_kerb.c:363: error: request for member 'server' in something not a structure or union
src/mod_auth_kerb.c:363: warning: passing argument 5 of 'ap_log_rerror_' makes integer from pointer without a cast
src/mod_auth_kerb.c:363: warning: passing argument 6 of 'ap_log_rerror_' from incompatible pointer type
src/mod_auth_kerb.c: In function 'verify_krb5_init_creds':
src/mod_auth_kerb.c:585: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:592: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:599: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:606: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:610: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:625: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:634: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:643: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:653: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c: In function 'verify_krb5_user':
src/mod_auth_kerb.c:699: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:710: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:745: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:757: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:772: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:780: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:788: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c: In function 'create_krb5_ccache':
src/mod_auth_kerb.c:846: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:856: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:866: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c: In function 'authenticate_user_krb5pwd':
src/mod_auth_kerb.c:953: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:962: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:981: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:990: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:994: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1003: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1025: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1030: warning: passing argument 8 of 'verify_krb5_user' discards qualifiers from pointer target type
src/mod_auth_kerb.c:1059: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1075: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c: In function 'get_gss_error':
src/mod_auth_kerb.c:1103: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c: In function 'store_gss_creds':
src/mod_auth_kerb.c:1153: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1160: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1167: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1175: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c: In function 'get_gss_creds':
src/mod_auth_kerb.c:1226: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1236: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1241: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1251: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c: In function 'authenticate_user_gss':
src/mod_auth_kerb.c:1343: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1363: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1372: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1388: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1403: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1412: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1422: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1430: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1434: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1456: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c: In function 'do_krb5_an_to_ln':
src/mod_auth_kerb.c:1501: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1509: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1515: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1523: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1530: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1536: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c: In function 'already_succeeded':
src/mod_auth_kerb.c:1558: error: 'conn_rec' has no member named 'remote_ip'
src/mod_auth_kerb.c:1566: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c: In function 'kerb_authenticate_user':
src/mod_auth_kerb.c:1630: warning: passing argument 6 of 'log_rerror' from incompatible pointer type
src/mod_auth_kerb.c:1712: error: 'conn_rec' has no member named 'remote_ip'
src/mod_auth_kerb.c: In function 'have_rcache_type':
src/mod_auth_kerb.c:1737: warning: implicit declaration of function 'krb5_rc_resolve_full'
src/mod_auth_kerb.c:1741: warning: implicit declaration of function 'krb5_rc_destroy'
apxs:Error: Command failed with rc=65536
.
make: *** [src/mod_auth_kerb.so] Error 1


bathory 04-09-2012 12:25 AM

Hi,

Quote:

I've compiled mod_auth_kerb with Apache 2.2.22 and it has gone fine.

Now I try to compile against Apache 2.4.1 and if fails with make:
My guess is that mod_auth_kerb is quite old (latest version came out in 2008), so it cannot be compiled against apache-2.4. Perhaps you may contact the author and ask him if he's going to release a patch or a newer version.

Regards


All times are GMT -5. The time now is 01:02 AM.